
package de.ivu.elect.business.gebietsbaum.boundary;

import java.io.Serializable;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class GebietFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public Gebiet create() {
        Gebiet entity = new Gebiet(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Gebiet entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
